spec:
  inputs:
    stage:
      default: test

---

check_readme:
  stage: $[[ inputs.stage ]]
  image: busybox
  script:
    - ls README.md || (echo "Please add a README.md file for your component" && exit 1)
    - file_contents=$(cat ./README.md)
    - |
      # Shell script inline
      check_header() {
          if echo "$file_contents" | grep -q "^## $1"; then
              echo "Found '$1' header in file contents"
          else
              echo "Error: Missing '$1' header in file contents"
              exit 1
          fi
      }

      # Check for required headers
      check_header "Usage"
      check_header "Contributing"

      echo "README contents check completed!"
